%global _empty_manifest_terminate_build 0
Name:           python-osc-lib
Version:        2.3.1
Release:        2
Summary:        OpenStackClient Library
License:        Apache-2.0
URL:            https://docs.openstack.org/osc-lib/latest/
Source0:        https://files.pythonhosted.org/packages/f4/70/a92bb13b8eaf13be71e72d5137c338279eb139dddc8b146b9849f5e20259/osc-lib-2.3.1.tar.gz
BuildArch:      noarch
%description
OpenStackClient Library

%package -n python3-osc-lib
Summary:        OpenStackClient Library
Provides:       python-osc-lib
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-simplejson
BuildRequires:  python3-stevedore
#BuildRequires:  python3-testtools
#BuildRequires:  python3-stestr
#BuildRequires:  python3-osprofiler
#BuildRequires:  python3-testrepository
#BuildRequires:  python3-coverage
#BuildRequires:  python3-fixtures
#BuildRequires:  python3-oslotest
#BuildRequires:  python3-requests-mock
# General requires
Requires:       python3-cliff
Requires:       python3-keystoneauth1
Requires:       python3-openstacksdk
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-simplejson
Requires:       python3-stevedore
%description -n python3-osc-lib
OpenStackClient Library

%package help
Summary:        OpenStackClient Library
Provides:       python3-osc-lib-doc
%description help
OpenStackClient Library

%prep
%autosetup -n osc-lib-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

#%check
#%{__python3} setup.py test

%files -n python3-osc-lib -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 2.3.1-2
- Fix install error

* Thu Aug 05 2021 OpenStack_SIG <openstack@openeuler.org> - 2.3.1-1
- Upgrade version
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.2.1-4
- DESC: delete -S git from %autosetup, and delete BuildRequires git
* Thu Jan 26 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated

